Bug 59509 - kernel 2.4.9-21 hangs on booting from perc 3/Di RAID controller
kernel 2.4.9-21 hangs on booting from perc 3/Di RAID controller
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 20:01 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 09:09:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-08 20:01:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
kernel 2.4.9-21 hangs when initializing the aacraid driver dated Jan 17,2002

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use up2date to download new kernel 2.4.9-21
2. Select new kernel in Grub
3. Boot System
	

Actual Results:  System hangs while looking at PCI IRQs

Data on screen includes:

Red Hat nash version 3.2.6 starting
Loading scsi_mod modules
SCSI subsystem driver Revision: 1.00
Loading sd_mod module
Loading aacraid module
Red Hat/Adaptec aacraid driver, Jan 17 2002
PCI: Found IRQ11 for device 01:02.1
PCI: Sharing IRQ11 with 02:04.0
PCI: Found IRQ11 for device 01:02.1
PCI: Sharing IRQ11 with 02:04.0
PCI: Found IRQ11 for device 01:02.1
PCI: Sharing IRQ11 with 02:04.0


Expected Results:  Kernel should have booted

Additional info:

Dell PowerEdge 2500 Server
BIOS Revision A04
Embedded Server Management Firmware: 5.43
System Backplane Firmware: 1.29
Expandable RAID Controller 3/Di Build 3122
3 ~18GB drives
2 Raid Containers (1 ~4GB, the other ~29GB)
Comment 1 Alan Cox 2002-02-09 09:09:54 EST
Can you grab the kernel image from http://domsch.com (Matt Domsch of Dell).That
has an additional fix in it which should fix your problem. Then let me know if
that helped.
Comment 2 Need Real Name 2002-02-13 15:52:22 EST
The new aacraid.o driver fixed the problem.  The server now boots into the new 
kernel.  Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.